## org.eclipse.emf.edit.provider
Class AdapterFactoryTreeIterator<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.BasicEList<java.util.Iterator<? extends E>>
                  org.eclipse.emf.common.util.AbstractTreeIterator<E>
                      org.eclipse.emf.edit.provider.AdapterFactoryTreeIterator<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.util.Iterator<? extends E>>, java.util.Collection<java.util.Iterator<? extends E>>, java.util.Iterator<E>, java.util.List<java.util.Iterator<? extends E>>, java.util.RandomAccess, EList<java.util.Iterator<? extends E>>, TreeIterator<E>

    public class AdapterFactoryTreeIterator<E>

extends AbstractTreeIterator<E>

This implements a tree iterator that iterates over an object, it's children, their children, and so on, use the `ITreeItemContentProvider`s produced by an adapter factory.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Field Summary
`protected AdapterFactory` `adapterFactory` This keeps track of the factory used to generate the ITreeItemContentProvider adapters.

Fields inherited from class org.eclipse.emf.common.util.AbstractTreeIterator
`includeRoot, nextPruneIterator, nextRemoveIterator, object`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`AdapterFactoryTreeIterator(AdapterFactory adapterFactory, E object)` This constructs tree iterator that iterates over an object, it's children, their children, and so on.
`AdapterFactoryTreeIterator(AdapterFactory adapterFactory, java.lang.Object object, boolean includeRoot)` This constructs tree iterator that iterates over an object (but only if includeRoot is true), it's children, their children, and so on.

Method Summary
`protected java.util.Iterator<E>` `getChildren(java.lang.Object o)` Returns the iterator that yields the children of the object.

Methods inherited from class org.eclipse.emf.common.util.AbstractTreeIterator
`hasNext, next, prune, remove`

Methods inherited from class org.eclipse.emf.common.util.BasicEList

`add, add, addAll, addAll, addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicIterator, basicList, basicListIterator, basicListIterator, canContainNull, clear, clone, contains, containsAll, data, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, get, getDuplicates, getNonDuplicates, grow, hashCode, indexOf, isEmpty, isUnique, iterator, lastIndexOf, listIterator, listIterator, move, move, newData, remove, remove, removeAll, resolve, retainAll, set, setData, setUnique, shrink, size, toArray, toArray, toString, useEquals, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`subList`

Field Detail

### adapterFactory

    protected AdapterFactory adapterFactory

  This keeps track of the factory used to generate the ITreeItemContentProvider adapters.

Constructor Detail

### AdapterFactoryTreeIterator

    public AdapterFactoryTreeIterator(AdapterFactory adapterFactory,
                                      E object)

  This constructs tree iterator that iterates over an object, it's children, their children, and so on.

### AdapterFactoryTreeIterator

    public AdapterFactoryTreeIterator(AdapterFactory adapterFactory,
                                      java.lang.Object object,
                                      boolean includeRoot)

  This constructs tree iterator that iterates over an object (but only if includeRoot is true), it's children, their children, and so on.

Method Detail

### getChildren

    protected java.util.Iterator<E> getChildren(java.lang.Object o)

  Description copied from class: `AbstractTreeIterator`
  Returns the iterator that yields the children of the object.

  Specified by:
    `getChildren` in class `AbstractTreeIterator<E>`
  Parameters:
    `o` - the object for which children are required.
  Returns:
    the iterator that yields the children.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.